Subject: Re: [PATCH v3 3/6] vbus: add a "vbus-proxy" bus model

From: Gregory Haskins <[email-masked]>
Date: Tue, 18 Aug 2009 09:19:35 -0400

Avi Kivity wrote:
> On 08/18/2009 03:36 PM, Gregory Haskins wrote:
>> Yeah, I agree.  I am not advocating we expend energy on this now.  But
>> my thoughts at the time were that that particular problem can be
>> solved at io-setup time with some kind of call to qualify the address.
>>
>> Iow: a slow path call with the address would return flags on whether
>> iowrite() should do a real io, or a IOoHC.
>>    
> 
> Yes, it could work, though we'd need somewhere to stow this
> information.  IIRC Arnd suggested a bit from the address itself.
> 

Yeah, exactly.  I think MMIO is particularly challenging because I don't
know if there are any bits left to use.  But like I said, its a problem
for another day IMO.

-Greg